package com.engine.kq.biz;

import com.engine.kq.log.KQLog;
import weaver.interfaces.schedule.BaseCronJob;

/**
 * 格式化昨天的考勤数据
 */
public class KQBalanceOfLeaveJob extends BaseCronJob {
    private KQLog kqLog = new KQLog();

    public void execute() {
        try {
            kqLog.info("begin do KQBalanceOfLeaveJob invoke ...");
            KQBalanceOfLeaveBiz.createBalanceOfLeave();
            kqLog.info("end do KQBalanceOfLeaveJob invoke  ...");
        } catch (Exception e) {
            kqLog.info(e);
        }
    }
}
